#
# spec file for package ghc-cereal
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name cereal

Name:           ghc-cereal
Version:        0.5.2.0
Release:        2.4
Summary:        A binary serialization library
License:        BSD-3-Clause
Group:          System/Libraries
Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
# fail is needed on ghc 7.x
BuildRequires:  ghc-fail-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ghc-rpm-macros

%description
A binary serialization library, similar to binary, that introduces an isolate
primitive for parser isolation, and labeled blocks for better error messages.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Provides:       %{name}-static = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%{ghc_lib_build}

%install
%{ghc_lib_install}

%post devel
%{ghc_pkg_recache}

%postun devel
%{ghc_pkg_recache}

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Wed Jun  1 2016 mimi.vx@gmail.com
- update to 0.5.2.0
  * Implement the AMP recommended refactoring for the Functor/Applicative/Monad
    hierarchy for Get and PutM
  * Unconditionally support GHC generics
  * Split the GSerialize class in two, to deal with a GHC bug
  * No longer use Enum in the Serialize instance for Bool
* Tue Jan 26 2016 mimi.vx@gmail.com
- update to 0.5.1.0
  * Switch to using the builder provided by the ByteString package
  * Change the encoding of Float and Double with the Serialize class to use the
  Data.Serialize.IEEE754 module
  * Add support for encoding and decoding ShortByteString
  * New and improved test suite thanks to Kei Hibino
  * Fix two bugs involving the lookAhead combinator and partial chunks.
* Tue Apr 21 2015 mimi.vx@gmail.com
- update to 0.4.1.1
  * no upstream changelog
* Sun Nov 23 2014 mimi.vx@gmail.com
- update to version 0.4.10
- move rpmlintrc to ghc-cereal.rpmlintrc
* Mon Oct 28 2013 sbahling@suse.com
- Update spec to cabalrpm template
* Thu Jun  7 2012 herbert@graeber-clan.de
- update to version 0.3.5.2
  spec file template generated by cabal2spec-0.25.5
* Sat Jan 21 2012 herbert@graeber-clan.de
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
